import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
interface IProps {
    event: MatrixEvent;
    onClose?: () => void;
}
interface IState {
    stateKey: string;
    roomId: string;
    displayName: string;
    invited: boolean;
    canKick: boolean;
    senderName: string;
}
export default class ThirdPartyMemberInfo extends React.Component<IProps, IState> {
    private readonly room;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onRoomStateEvents: (ev: MatrixEvent) => void;
    onCancel: () => void;
    onKickClick: () => void;
    render(): React.ReactNode;
}
export {};
